<?
/*

    This file is part of Yet Another Nopaste.

    Foobar is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

*/

// Include config
require_once 'config.php';
// Include functions
include_once 'functions.php';

initCookies();

if (isset($_GET["id"])) {
    // Found an ID => Parsing XML/XSL and output result
    $doc = getDocument($_GET["id"]);
    if (checkAccess($doc)) {
        xslTransform($doc);
    } else {
        echo(getHTMLHeader(" - Please enter password!", ""));
        ?>
        <form name="frm" action="index.php?id=<?=$_GET["id"]?>" method="POST">
            <label for="pwd">The document you've requested is password protected. Please enter the p<u>a</u>ssword below:</label><br/>
            <?
            if (isset($_POST["tryed"])) {
                echo("<div class=\"error\">Password incorrect. Please retry</div>");
            }
            ?>
            <input type="password"
                    value=""
                    name="pwd"
                    id="pwd"
                    accesskey="a"/>
            <input type="hidden" name="tryed"/>
            <input type="submit" value="Validate" accesskey="V"/>
        </form>
        <?
        echo(getHTMLFooter());
    }
} else {
    if (isset($_POST["name"])) {
        echo(getHTMLHeader(" - Processing paste...", ""));
        // Include geshi library
        include_once 'includes/geshi.php';
        $result = saveXML();
        echo("Content successfully parsed and saved. Hereafter the URL: <a href=\"" . $result . "\">" . $result . "</a>");
    } else {
        echo(getHTMLHeader(" - Paste into it!", ""));
        ?>
        <p>Retention time: <?=retentionTimeAsString()?></p>
        <form name="frm" action="index.php" method="POST" onsubmit="return validateForm()">
            <fieldset>
                <legend>Paste</legend>
                <table>
                    <tr>
                        <th><label for="name"><u>N</u>ame</label></th>
                        <td>
                            <input type="text"
                                   value="<?=(isset($_COOKIE["YANOPASTE_name"]) ? $_COOKIE["YANOPASTE_name"] : "")?>"
                                   name="name"
                                   id="name"
                                   accesskey="N"/>
                        </td>
                        <td>
                            <input type="checkbox"
                                   name="setpwd"
                                   id="setpwd"
                                   value="true"
                                   accesskey="S"
                                   <?=(isset($_COOKIE["YANOPASTE_setpwd"]) && $_COOKIE["YANOPASTE_setpwd"] == "true" ? "checked=\"checked\"" : "")?>/>
                        </td>
                        <th><label for="ispwd"><u>S</u>et password ?</label></th>
                        <th><label for="pwd">P<u>a</u>ssword</label></th>
                        <td>
                            <input type="password"
                                   value=""
                                   name="pwd"
                                   id="pwd"
                                   onchange="managePassword(this)"
                                   accesskey="a"/>
                        </td>
                    </tr>
                    <tr>
                        <th><label for="language"><u>L</u>anguage</label></th>
                        <td colspan="5">
                            <select name="language" id="language" accesskey="L">
                                <?
                                foreach($_YANOPASTE["language"] as $l) {
                                    echo("<option value=\"" . $l . "\" " . (isset($_COOKIE["YANOPASTE_language"]) && $_COOKIE["YANOPASTE_language"] == $l ? "selected=\"selected\"" : "") . ">" . $_YANOPASTE["language"][$l] . "</option>");
                                }
                                ?>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th><label for="content"><u>C</u>ontent</label></th>
                        <td colspan="5"><textarea value="" rows="40" cols="120" name="content" id="content" accesskey="C"></textarea></td>
                    </tr>
                </table>
            </fieldset>
            <input type="submit" value="Paste!" accesskey="P"/>
        </form>
        <?
    }
    echo(getHTMLFooter());
}
cleanRepository();
?>

