<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">
  <xsl:output
    method = "html"
    version = "1.0"
    encoding = "utf-8"
    omit-xml-declaration = "no"
    standalone = "no"
    doctype-public = "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
    doctype-system = "-//W3C//DTD XHTML 1.0 Strict//EN"
    indent = "yes"
    media-type = "text/html" />

    <xsl:template match="/yanopaste">
      <html>
        <head>
          <title><xsl:text>Yet Another Nopaste - </xsl:text><xsl:value-of select="@name"/></title>
          <link rel="stylesheet" type="text/css" href="screen.css" media="screen"/>
          <script type="text/javascript"><xsl:attribute name="src"><xsl:value-of select="@base-url"/><xsl:text>/common.js</xsl:text></xsl:attribute></script>
          <xsl:if test="@ga-enabled = 'true'">
            <script src="http://www.google-analytics.com/ga.js" type="text/javascript"></script>
          </xsl:if>
        </head>
        <body onload="initPasted()">
           <input type="hidden" id="ga_enabled"><xsl:attribute name="value"><xsl:value-of select="@ga-enabled"/></xsl:attribute></input>
           <input type="hidden" id="ga_id"><xsl:attribute name="value"><xsl:value-of select="@ga-id"/></xsl:attribute></input>
          <div id="header"><xsl:attribute name="onclick"><xsl:text>window.location.href='</xsl:text><xsl:value-of select="@base-url"/><xsl:text>'</xsl:text></xsl:attribute></div>
          <div id="body">
            <input type="button" value="Initializing..." disabled="disabled" id="content_switcher" onclick="switchPastedView()"/>
            <div id="highlight">
              <xsl:value-of disable-output-escaping="yes" select="paste/transform"/>
            </div>
            <pre id="original"><xsl:value-of disable-output-escaping="no" select="paste/original"/></pre>
          </div>
          <div id="footer">
            Yet Another Nopaste - version 1.2.0- GPL software - Sources available at
            <a href="http://sourceforge.net/projects/yanopaste"><img id="sourceforge_logo" src="http://sflogo.sourceforge.net/sflogo.php?group_id=237687&amp;type=1" alt="SourceForge.net Logo" /></a>
            - <a href="http://yanopaste.sourceforge.net">Demo</a>"
            <br/> Copyright (C) 2008  <a href="http://www.jujunie.com">Julien BETI</a>
          </div>
        </body>
      </html>
    </xsl:template>
</xsl:stylesheet>